Bug 1287624 - HA | External LB | Can't deploy HA with external LB because we don't have any haproxy resource to restart when deploying with external lb
HA | External LB | Can't deploy HA with external LB because we don't have any...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity urgent
: y2
: 7.0 (Kilo)
Assigned To: Giulio Fidente
Leonid Natapov
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 08:12 EST by Leonid Natapov
Modified: 2017-10-25 04:44 EDT (History)
15 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.6-86.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, when piloting the Pacemaker services restart we tried to disable the haproxy clone resource which does not exist when the user configured the overcloud to use an external load balancer. The resulting deployment failed. With this update, a conditional was added so that restart of the haproxy is skipped if such a response does not exist in the Pacemaker. As a result, the deployment completes successfully as the restart of the haproxy clone is only attempted if the resources exists in the Pacemaker.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 11:53:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 245093 None None None Never
OpenStack gerrit 252411 None None None Never
Red Hat Product Errata RHSA-2015:2650 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux OpenStack Platform 7 director update 2015-12-21 16:44:54 EST

  None (edit)
Description Leonid Natapov 2015-12-02 08:12:35 EST
HA | External LB | Can't deploy HA with external LB because we don't have any haproxy resource to restart when deploying with external lb.

Deployment fails.

Reproduce:
100%

Steps to reproduce:
Try to install HA with external LB.

Dec 02 07:21:41 overcloud-controller-0.localdomain os-collect-config[7712]: + pcs resource restart haproxy-clone
Dec 02 07:21:41 overcloud-controller-0.localdomain os-collect-config[7712]: Error:
Dec 02 07:21:41 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:41,789] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-script/9edf6686-4fd9-4ac9-4ac9-a0ef-96f743b5de8d. [1]
93] (heat-config) [INFO] Completed /var/lib/heat-config/hooks/script
94] (heat-config) [DEBUG] Running heat-config-notify /var/lib/heat-config/deployed/9edf6686-4fd9-4ac9-a0ef-96f743b5de8d.json < /var/lib/heat-config/deployed/9edf6686-4fd9-4ac9-a0ef-96f743b5de8d.not
60] (heat-config) [INFO]
60] (heat-config) [DEBUG] [2015-12-02 07:21:42,214] (heat-config-notify) [DEBUG] Signaling to http://192.0.2.1:8000/v1/signal/arn%3Aopenstack%3Aheat%3A%3Aa1936e5b1f704f9197d791a67116b99e%3Astacks%2
38] (heat-config-notify) [DEBUG] Response <Response [200]>
60] (heat-config) [WARNING] Skipping config f03f5bfc-dc86-4d60-8dd1-04beb1d70453, already deployed
60] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/f03f5bfc-dc86-4d60-8dd1-04beb1d70453.json
60] (heat-config) [WARNING] Skipping config d55cb2e1-c3cc-4285-9b50-1665cb1d855f, already deployed
61] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/d55cb2e1-c3cc-4285-9b50-1665cb1d855f.json
61] (heat-config) [WARNING] Skipping config d75984a6-f566-4c47-8192-dda905604e99, already deployed
61] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/d75984a6-f566-4c47-8192-dda905604e99.json
61] (heat-config) [WARNING] Skipping config 7ab2cbeb-427c-46c4-a491-2d0edfc578fb, already deployed
61] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/7ab2cbeb-427c-46c4-a491-2d0edfc578fb.json
61] (heat-config) [WARNING] Skipping config 38d870d3-ec3a-4b55-807d-65e8f8d00eaa, already deployed
61] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/38d870d3-ec3a-4b55-807d-65e8f8d00eaa.json
61] (heat-config) [WARNING] Skipping config 5910e011-bb6d-49ee-930d-4f207c212ac7, already deployed
61] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/5910e011-bb6d-49ee-930d-4f207c212ac7.json
62] (heat-config) [WARNING] Skipping config 40eaf1e9-52ff-4356-8aa3-e5d2450584b4, already deployed
62] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/40eaf1e9-52ff-4356-8aa3-e5d2450584b4.json
62] (heat-config) [WARNING] Skipping config efdbdbb0-6890-4c19-9da6-71cb879284d8, already deployed
62] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/efdbdbb0-6890-4c19-9da6-71cb879284d8.json
62] (heat-config) [WARNING] Skipping group os-apply-config with no hook script /var/lib/heat-config/hooks/os-apply-config
62] (heat-config) [WARNING] Skipping group os-apply-config with no hook script /var/lib/heat-config/hooks/os-apply-config
62] (heat-config) [WARNING] Skipping group Heat::Ungrouped with no hook script /var/lib/heat-config/hooks/HeatUngrouped
2 07:21:42 EST 2015 55-heat-config completed
- PROFILING -----------------------

                     Seconds
-----------------  ----------
                        0.381
                        0.295
                        0.632
                        0.382
                       17.133
                        0.413
                        0.399
                       63.054
END PROFILING ---------------------
12] (os-refresh-config) [INFO] Completed phase configure
12] (os-refresh-config) [INFO] Starting phase post-configure
2 07:21:42 EST 2015 Running /usr/libexec/os-refresh-config/post-configure.d/99-refresh-completed
ey completion-handle --type raw --key-default ''

Dec 02 07:21:41 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:41,793] (heat-config) [INFO] Completed /var/lib/heat-config/hooks/script
Dec 02 07:21:41 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:41,794] (heat-config) [DEBUG] Running heat-config-notify /var/lib/heat-config/deployed/9edf6686-4fd9-4a
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,460] (heat-config) [INFO]
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,460] (heat-config) [DEBUG] [2015-12-02 07:21:42,214] (heat-config-notify) [DEBUG] Signaling to http:
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,438] (heat-config-notify) [DEBUG] Response <Response [200]>
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,460] (heat-config) [WARNING] Skipping config f03f5bfc-dc86-4d60-8dd1-04beb1d70453, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,460] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/f03f5bfc-dc86-4d60-8d
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,460] (heat-config) [WARNING] Skipping config d55cb2e1-c3cc-4285-9b50-1665cb1d855f, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/d55cb2e1-c3cc-4285-9b
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] Skipping config d75984a6-f566-4c47-8192-dda905604e99, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/d75984a6-f566-4c47-81
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] Skipping config 7ab2cbeb-427c-46c4-a491-2d0edfc578fb, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/7ab2cbeb-427c-46c4-a4
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] Skipping config 38d870d3-ec3a-4b55-807d-65e8f8d00eaa, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/38d870d3-ec3a-4b55-80
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] Skipping config 5910e011-bb6d-49ee-930d-4f207c212ac7, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,461] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/5910e011-bb6d-49ee-93
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,462] (heat-config) [WARNING] Skipping config 40eaf1e9-52ff-4356-8aa3-e5d2450584b4, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,462] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/40eaf1e9-52ff-4356-8a
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,462] (heat-config) [WARNING] Skipping config efdbdbb0-6890-4c19-9da6-71cb879284d8, already deployed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,462] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/efdbdbb0-6890-4c19-9d
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,462] (heat-config) [WARNING] Skipping group os-apply-config with no hook script /var/lib/heat-config
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,462] (heat-config) [WARNING] Skipping group os-apply-config with no hook script /var/lib/heat-config
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,462] (heat-config) [WARNING] Skipping group Heat::Ungrouped with no hook script /var/lib/heat-config
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: dib-run-parts Wed Dec 2 07:21:42 EST 2015 55-heat-config completed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: ----------------------- PROFILING -----------------------
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: Target: configure.d
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: Script                                     Seconds
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: ---------------------------------------  ----------
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 10-sysctl-apply-config                        0.381
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 20-os-apply-config                            0.295
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 20-os-net-config                              0.632
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 25-set-network-gateway                        0.382
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 40-hiera-datafiles                           17.133
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 50-ntp                                        0.413
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 51-hosts                                      0.399
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: 55-heat-config                               63.054
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: --------------------- END PROFILING ---------------------
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,512] (os-refresh-config) [INFO] Completed phase configure
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: [2015-12-02 07:21:42,512] (os-refresh-config) [INFO] Starting phase post-configure
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: dib-run-parts Wed Dec 2 07:21:42 EST 2015 Running /usr/libexec/os-refresh-config/post-configure.d/99-refresh-completed
Dec 02 07:21:42 overcloud-controller-0.localdomain os-collect-config[7712]: ++ os-apply-config --key completion-handle --type raw --key-default ''
Comment 2 Leonid Natapov 2015-12-07 10:16:07 EST
openstack-tripleo-heat-templates-0.8.6-87.el7ost

Successfully deployed.
Comment 5 errata-xmlrpc 2015-12-21 11:53:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2650

Note You need to log in before you can comment on or make changes to this bug.